[Unit]
DefaultDependencies=no
BindsTo=dev-disk-by\x2dpartlabel-%%{part}.device
Conflicts=shutdown.target
After=dev-disk-by\x2dpartlabel-%%{part}.device
%if %%format == 'swap'
Before=shutdown.target dev-disk-by\x2dpartlabel-swap.swap
%else
Before=shutdown.target systemd-fsck@dev-disk-by\x2dpartlabel-%%{part}.service %%{name}.mount
%end if

[Service]
Type=oneshot
RemainAfterExit=yes
ExecStart=/usr/lib/systemd/systemd-makefs %%format /dev/disk/by-partlabel/%%part
TimeoutSec=0

[Install]
WantedBy=multi-user.target
